Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#52346 - [cinnamon-screensaver] Package requires python-setproctitle but not in depends

Attached to Project: Community Packages
Opened by Patrick Brennan (patrick.brennan) - Tuesday, 03 January 2017, 08:40 GMT
Last edited by Antonio Rojas (arojas) - Tuesday, 03 January 2017, 09:21 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

The cinnamon-screensaver requires the python library setproctitle and fails to run if it is unable to import this. The cinnamon-screensaver package does not depend on the python-setproctitle package. Other than the obvious, this also prevents screen locking.


Additional info:
* cinnamon-screensaver 3.2.13-1
* Only validated under amd64 but I presume is the case with the i686 package also.


Steps to reproduce:

Install Arch with Cinnamon as per the wiki.
Wait many years worth of rolling updates and cruft.
Clean up orphan packages as per the wiki: pacman -Rns $(pacman -Qtdq)
The python-libproctitle package has now been removed as it was installed by a dependency that is no longer in the pacman database.
This task depends upon

Closed by  Antonio Rojas (arojas)
Tuesday, 03 January 2017, 09:21 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#52316 
Comment by Patrick Brennan (patrick.brennan) - Tuesday, 03 January 2017, 08:42 GMT
Duplicate of 52316. Apologies.

Loading...